/* 
 * @file :can_apply.h
*/

#ifndef _CAN_APPLY_H_
#define _CAN_APPLY_H_

#ifdef __cplusplus
extern "C"
{
#endif

#include <sys/socket.h>
#include <sys/ioctl.h>
#include <linux/can.h>
#include <linux/can/raw.h>

int can_recv(int sock, struct can_frame *frame);
int can_send(int sock, struct can_frame frame);
int can_open(char *can_name);

#ifdef __cplusplus
}
#endif

#endif

